summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Robbins <drobbins@gentoo.org>2001-09-01 04:02:06 +0000
committerDaniel Robbins <drobbins@gentoo.org>2001-09-01 04:02:06 +0000
commita01274b36d198888565aefcba4efeccd86e612c2 (patch)
treeb9306f4ca2cd39e981e5ee509c203ad10888b6f5 /scripts
parentFixed typo that prevented install (missing quote) (diff)
downloadhistorical-a01274b36d198888565aefcba4efeccd86e612c2.tar.gz
historical-a01274b36d198888565aefcba4efeccd86e612c2.tar.bz2
historical-a01274b36d198888565aefcba4efeccd86e612c2.zip
New and improved Xfree86 ebuild for 1.0_rc6. Fixes: /etc/pam.d/xdm is md5
enabled, host.def fix to fix probs with xmkmf (imake) using stale CFLAGS, new rc6 initscript, and some nice things brought over from Slack and Debian.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/bootstrap.sh33
1 files changed, 19 insertions, 14 deletions
diff --git a/scripts/bootstrap.sh b/scripts/bootstrap.sh
index b3a5e7a1268b..67a64e014067 100755
--- a/scripts/bootstrap.sh
+++ b/scripts/bootstrap.sh
@@ -14,31 +14,36 @@ echo "Using GCC $myGCC"
echo "Using GETTEXT $myGETTEXT"
echo "Using GLIBC $myGLIBC"
-#USE may be set from the environment (recommended) so we back it up for later.
+#USE may be set from the environment so we back it up for later.
if [ "${USE-UNSET}" = "UNSET" ]
then
- unset=yes
+ use_unset=yes
else
- olduse="$USE"
- unset=no
+ use_old="$USE"
+ use_unset=no
fi
export USE="build"
+
+#get correct CFLAGS, CHOST, CXXFLAGS, MAKEOPTS since make.conf will be
+#overwritten
+cp /etc/make.conf /etc/make.conf.build
+export CFLAGS="`spython -c 'import portage; print portage.settings["CFLAGS"];'`"
+export CHOST="`spython -c 'import portage; print portage.settings["CHOST"];'`"
+export CXXFLAGS="`spython -c 'import portage; print portage.settings["CXXFLAGS"];'`"
+export MAKEOPTS="`spython -c 'import portage; print portage.settings["MAKEOPTS"];'`"
+
export CONFIG_PROTECT=""
#above allows portage to overwrite stuff
cd /usr/portage
-emerge $myPORTAGE || exit
-emerge $myBINUTILS || exit
-emerge $myGCC || exit
-emerge $myGETTEXT || exit
-if [ "$unset" = "yes" ]
+emerge --pretend $myPORTAGE $myBINUTILS $myGCC $myGETTEXT || exit
+if [ "$use_unset" = "yes" ]
then
unset USE
else
- export USE="$olduse"
+ export USE="$use_old"
fi
# This line should no longer be required
#export USE="`spython -c 'import portage; print portage.settings["USE"];'` bootstrap"
-emerge $myGLIBC || exit
-emerge $myGETTEXT || exit
-emerge $myBINUTILS || exit
-emerge $myGCC || exit
+emerge --pretend $myGLIBC $myGETTEXT $myBINUTILS $myGCC || exit
+#restore settings
+cp /etc/make.conf.build /etc/make.conf